Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.useaira.com/v1/credit-pools/by-customer \ --header 'X-API-KEY: <api-key>'
{ "items": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "currencyUnitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "startDate": "2023-12-25", "renewalCreditAmount": "<string>", "availableAmount": "<string>", "scheduleRenewalDate": "2023-12-25", "topUpSettings": { "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "creditPackageAmount": "<string>", "price": 2 }, "currencyUnit": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "code": "<string>" } } ] }
This endpoint allows fetching the credit pools associated with a customer.
API Key Authentication.
The unique identifier of the customer.
Default Response
A list of items.
Show child attributes